package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
/**
*sku 的属性值表
* @author quyixiao
* @since 2025-10-27
*/

@Data
@TableName("vv_sku_property_value")
public class VvSkuPropertyValueEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvSkuPropertyValueEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";                              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                          // 修改时间
    public final static String product_id = CLASS_NAME + "product_id";                            // 商品id
    public final static String sku_id = CLASS_NAME + "sku_id";                                    // skuid
    public final static String product_property_name = CLASS_NAME + "product_property_name";      // 属性名称
    public final static String product_property_value = CLASS_NAME + "product_property_value";    // sku 属性值表
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //商品id
    private Long productId;
    //skuid
    private Long skuId;
    //属性名称
    private String productPropertyName;
    //sku 属性值表
    private String productPropertyValue;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * skuid 
     * @return
     */
    public Long getSkuId() {
        return skuId;
    }
    /**
     * skuid 
     * @param skuId
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    /**
     * 属性名称 
     * @return
     */
    public String getProductPropertyName() {
        return productPropertyName;
    }
    /**
     * 属性名称 
     * @param productPropertyName
     */
    public void setProductPropertyName(String productPropertyName) {
        this.productPropertyName = productPropertyName;
    }

    /**
     * sku 属性值表 
     * @return
     */
    public String getProductPropertyValue() {
        return productPropertyValue;
    }
    /**
     * sku 属性值表 
     * @param productPropertyValue
     */
    public void setProductPropertyValue(String productPropertyValue) {
        this.productPropertyValue = productPropertyValue;
    }

    @Override
    public String toString() {
        return "VvSkuPropertyValueEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",productId=" + productId +
                ",skuId=" + skuId +
                ",productPropertyName=" + productPropertyName +
                ",productPropertyValue=" + productPropertyValue +
                "}";
    }
}